server:
  port: 14070


# 配置文件加密根密码
jasypt:
  encryptor:
    password: bwXg0Guz
    algorithm: PBEWithMD5AndDES
    iv-generator-classname: org.jasypt.iv.NoIvGenerator

spring:
  servlet:
    multipart:
      max-file-size: 100MB
      max-request-size: 100MB
  datasource:
    type: com.alibaba.druid.pool.DruidDataSource
    druid:
      driver-class-name: com.mysql.cj.jdbc.Driver
      username: ${MYSQL_USER:service}
      password: ${MYSQL_PWD:onAkOWDw^Tn8I5v8}
      url: jdbc:mysql://rm-2ze1uc3f397s1a3smzo.mysql.rds.aliyuncs.com:3306/let_file?characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=false&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=GMT%2B8&allowMultiQueries=true&allowPublicKeyRetrieval=true
      #url: jdbc:mysql://127.0.0.1:3366/easier_file?characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=false&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=GMT%2B8&allowMultiQueries=true&allowPublicKeyRetrieval=true
      stat-view-servlet:
        enabled: true
        allow: ""
        url-pattern: /druid/*
        #login-username: admin
        #login-password: admin
      filter:
        stat:
          enabled: true
          log-slow-sql: true
          slow-sql-millis: 10000
          merge-sql: false
        wall:
          config:
            multi-statement-allow: true
  mail:
    host: smtp.feishu.cn
    port: 465
    username: yaoyi_report@yaoyi.net
    protocol: smtps
    password: heY0drWAGsgGNwxX
    properties:
      mail:
        smtp:
          auth: true
          starttls:
            enable: true
        ssl:
          enable: true
    default-encoding: utf-8

# 端点对外暴露
management:
  endpoints:
    web:
      exposure:
        include: '*'
  endpoint:
    restart:
      enabled: true
    health:
      show-details: ALWAYS
# mybatis-plus 配置
mybatis-plus:
  tenant-enable: ture
  mapper-locations: classpath:/mapper/*Mapper.xml
  global-config:
    capitalMode: true
    banner: false
    db-config:
      id-type: auto
      select-strategy: not_empty
      insert-strategy: not_empty
      update-strategy: not_null
      logic-delete-value: "'DEL'"
      logic-not-delete-value: "'OK'"
  type-handlers-package: com.yaoyicloud.easier.common.data.handler
  configuration:
    jdbc-type-for-null: 'null'
    call-setters-on-nulls: true
    shrink-whitespaces-in-sql: true
    defaultEnumTypeHandler: com.baomidou.mybatisplus.core.handlers.MybatisEnumTypeHandler
  typeEnumsPackage: com.yaoyicloud.easier.common.domain.enums
# mybatis-plus-join 配置
mybatis-plus-join:
  # 关闭连表查询组件banner
  banner: false


# 文件系统
file:
  bucket-name: yyc3-1321096020
  local:
    enable: true
    basePath: D:/tmp
  oss:
    info: true
    enable: true
    endpoint: cos.ap-beijing.myqcloud.com
    region: ap-beijing
    access-key: AKIDRilauFg4fDfE9B6tJoNxTvHSdovqXBfw
    secret-key: 8LeAWksnUDsXAhN0WEoBMYaCvmcbmx5G
    # 使用云OSS 需要关闭
    path-style-access: false

# Logger Config
logging:
  level:
    com.yaoyicloud.easier.filerepo.mapper: debug

# 租户表维护
#easier:
#  office:
#    pdf:
#      rootPath: C:/Users/yyy/dev/yyc3/easier-be

